Package org.gradle.tooling

## Interface TestFailure

- All Superinterfaces:
    `Failure`
  All Known Subinterfaces:
    `TestAssertionFailure`, `TestFrameworkFailure`

      @Incubating
      public interface TestFailure
      extends Failure

  Describes a test failure, that can either be a test assertion failure or a test framework failure.
  Since:
    7.6

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getClassName()` | The fully-qualified name of the underlying exception type.
    `java.lang.String` | `getStacktrace()` | The stringified version of the stacktrace created from the underlying exception.

    - ### Methods inherited from interface org.gradle.tooling.Failure

      `getCauses, getDescription, getMessage`

- - ### Method Detail

    - #### getClassName

          java.lang.String getClassName()

      The fully-qualified name of the underlying exception type.
      Returns:
        The exception class name

    - #### getStacktrace

          java.lang.String getStacktrace()

      The stringified version of the stacktrace created from the underlying exception.
      Returns:
        the stacktrace